package com.mobai.controller;

import com.mobai.domain.Result;
import com.mobai.service.FluxGetInfoService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ClassName FluxGetInfo
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/5/28 22:00
 */
@RestController
@Log4j2
@RequestMapping("fluxmq")
public class FluxGetInfoController {
    @Autowired
    private FluxGetInfoService fluxGetInfoService;

    @GetMapping("getInfo")
    public Result getInfo(){
        return fluxGetInfoService.getInfo();
    }
}
