package com.mobai.domain;

/**
 * JVM使用信息
 */
@lombok.Data
public class JVMInfo {
    /**
     * 文件描述(句柄)
     */
    private String fileDescriptors;
    /**
     * 堆内存
     */
    private String heapCommit;
    /**
     * 堆初始化空间
     */
    private String heapInit;
    /**
     * 堆最大内存
     */
    private String heapMax;
    /**
     * 堆使用空间
     */
    private String heapUsed;
    /**
     * JAVA目录
     */
    private String jdkHome;
    /**
     * JDK版本
     */
    private String jdkVersion;
    /**
     * 非堆空间
     */
    private String noHeapCommit;
    /**
     * 非堆初始化空间
     */
    private String noHeapInit;
    /**
     * 非堆最大空间
     */
    private String noHeapMax;
    /**
     * 非堆使用空间
     */
    private String noHeapUsed;
    /**
     * 线程数量
     */
    private long threadCount;
}
