package com.mobai.mq.fluxmq;

import okhttp3.*;

import java.io.IOException;

/**
 * @ClassName FluxMqInit
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/5/27 9:57
 */
public class FluxMqInit {
    public Response loginFluxMq(){
        OkHttpClient client = new OkHttpClient().newBuilder()
                .build();
        MediaType mediaType = MediaType.parse("application/json");
        RequestBody body = RequestBody.create(mediaType, "{\r\n    \"username\": \"fluxmq\",\r\n    \"password\": \"fluxmq\"\r\n}");
        Request request = new Request.Builder()
                .url("http://fluxmq.muyu.icu/public/login")
                .method("POST", body)
                .addHeader("User-Agent", "Apifox/1.0.0 (https://apifox.com)")
                .addHeader("Content-Type", "application/json")
                .build();
        Response response = null;
        try {
            response = client.newCall(request).execute();
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
        return response;
    }

}
