// ApifoxModel.java

package com.mobai.domain;

@lombok.Data
public class ApifoxModel {
    /**
     * 节点ID
     */
    private String clusterId;
    /**
     * CPU使用信息
     */
    private CPUInfo cpuInfo;
    /**
     * 节点状态
     */
    private FlowInfo flowInfo;
    /**
     * HTTP请求地址
     */
    private String httpUrl;
    /**
     * JVM使用信息
     */
    private JVMInfo jvmInfo;
    /**
     * MQTT事件信息
     */
    private MqttInfo mqttInfo;
    /**
     * MQTTS请求地址
     */
    private String mqttsUrl;
    /**
     * MQTT请求地址
     */
    private String mqttUrl;
    /**
     * 节点名称
     */
    private String nodeName;
    /**
     * 启动时间
     */
    private String startJvmTime;
    /**
     * 节点版本
     */
    private String version;
    /**
     * websocket请求地址
     */
    private String websocketUrl;
}

