package com.mobai.domain;

/**
 * 节点状态
 */
@lombok.Data
public class FlowInfo {
    /**
     * 上次读取吞吐量
     */
    private String lastReadThroughput;
    /**
     * 上次写入吞吐量
     */
    private String lastWriteThroughput;
    /**
     * 读取总吞吐量
     */
    private String readBytesHistory;
    /**
     * 实写字节
     */
    private String realWriteBytes;
    /**
     * 写入总吞吐量
     */
    private String writeBytesHistory;
}
