package com.mobai.domain;

/**
 * MQTT事件信息
 */
@lombok.Data
public class MqttInfo {
    /**
     * 关闭事件数量
     */
    private long closeEventSize;
    /**
     * 连接事件数量
     */
    private long connectEventSize;
    /**
     * 链接总数
     */
    private long connectSize;
    /**
     * 断开链接数量
     */
    private long disconnectEventSize;
    /**
     * 推送数量
     */
    private long publishEventSize;
    /**
     * 发布重试事件数量
     */
    private long publishRetryEventSize;
    /**
     * 保留消息数量
     */
    private long retainSize;
    /**
     * 订阅事件数量
     */
    private long subscribeEventSize;
    /**
     * 订阅数量
     */
    private long subscribeSize;
    /**
     * 主题数量
     */
    private long topicSize;
    /**
     * 取消订阅数量
     */
    private long unSubscribeEventSize;
}
